## openmodelica 1.5.0.svn.r5700

=== CMakeLists.txt ===
# Jens Frenkel, Jens.Frenkel@tu-dresden.de, 2010-03-30
# CMakefile for compilation of OMC 

# CMAKE
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
# PROJECT
PROJECT(OpenModelicaCompiler)

# Global Variables
SET(OMCTRUNCHOME ${CMAKE_CURRENT_SOURCE_DIR})
SET(CODEGENDIR ${CMAKE_CURRENT_BINARY_DIR}/codegen)

# Tests
OPTION(RUN_TESTS  "Run Tests"  OFF)
IF(RUN_TESTS)
enable_testing()
ADD_SUBDIRECTORY(testsuite)
ENDIF(RUN_TESTS)

# Subdirectorys
ADD_SUBDIRECTORY(c_runtime)
ADD_SUBDIRECTORY(modelica_parser)
ADD_SUBDIRECTORY(flat_modelica_parser)
ADD_SUBDIRECTORY(Compiler)
ADD_SUBDIRECTORY(doc)
ADD_SUBDIRECTORY(Examples)

# -------------------------------------------------------------
# Models
# -------------------------------------------------------------
# add here your models to compile (add filename without ".mo")
# Example:
#    BUILDMODEL(model dir Flags CSRC)
SET(OMC_DEBUG ${OMCTRUNCHOME}/build/bin/omcd.exe)
#BUILDMODEL(BouncingBall ${CMAKE_CURRENT_SOURCE_DIR}/testsuite/mofiles +d=bltdump)
#BUILDMODEL(Simple ${CMAKE_CURRENT_SOURCE_DIR}/build/bin/Test +d=bltdump)
#BUILDMODEL(CombiTable2DTest ${CMAKE_CURRENT_SOURCE_DIR}/build/bin/Test +d=bltdump "")

=== Compiler/CMakeLists.txt ===

# The MO sources
SET(SRCMO Absyn.mo AbsynDep.mo Algorithm.mo Builtin.mo 
          Ceval.mo CevalScript.mo Cevalfunc.mo ClassInf.mo
		  ClassLoader.mo Connect.mo ExpandableConnectors.mo 
		  ConnectionGraph.mo Convert.mo DAE.mo DAELow.mo 
		  DAEUtil.mo Derive.mo Debug.mo	DFA.mo Dump.mo 
		  DumpGraphviz.mo Constants.mo Env.mo Error.mo 
		  Exp.mo SCode.mo SCodeUtil.mo Graphviz.mo HashTable.mo 
		  HashTable2.mo HashTable3.mo HashTable4.mo HashTable5.mo 
		  HashTable6.mo HashTableCG.mo HashTableStringToPath.mo 
		  Inline.mo Inst.mo InstExtends.mo Interactive.mo 
		  Lookup.mo Main.mo MMath.mo MetaUtil.mo Mod.mo ModUtil.mo 
		  PartFn.mo Patternm.mo Prefix.mo PrefixUtil.mo Static.mo 
		  SimCode.mo SimCodeC.mo SimCodeCSharp.mo 
		  Types.mo TaskGraph.mo Tpl.mo TplAbsyn.mo TplCodegen.mo 
		  TplParser.mo TplMain.mo Util.mo UnitAbsyn.mo 
		  UnitAbsynBuilder.mo UnitChecker.mo Values.mo ValuesUtil.mo 
		  VarTransform.mo BackendVarTransform.mo Refactor.mo 
		  DAEQuery.mo XMLDump.mo InstanceHierarchy.mo InnerOuter.mo 
		  ConnectUtil.mo Dependency.mo)

SET(ALLMO ${SRCMO} DAEEXT.mo DynLoad.mo Print.mo RTOpts.mo System.mo Parser.mo 
		TaskGraphExt.mo Corba.mo Socket.mo ErrorExt.mo Settings.mo 
		OptManager.mo UnitParserExt.mo SimulationResults.mo)
		  
# RML
IF(NOT RML)
  FIND_PROGRAM(RML rml DOC "Location of the RML executable"
               PATHS ENV OMDEV ${RMLHOME}/bin
               PATH_SUFFIXES bin tools/rml/bin)
  MESSAGE(STATUS "-- rml is " ${RML})
ENDIF(NOT RML)		  

#copy all to CODEGENDIR
FOREACH(DEP ${ALLMO})

	# Datei- und Pfadname
    GET_FILENAME_COMPONENT(DF ${DEP} NAME)
    GET_FILENAME_COMPONENT(DFWE ${DEP} NAME_WE)
    GET_FILENAME_COMPONENT(DP ${DEP} PATH)

	# Suchen
	FIND_FILE(${DEP}_FILE ${DF} PATHS ${DP} ${CMAKE_CURRENT_SOURCE_DIR})

	# Wenn nicht gefunden, dann Original nehmen
	STRING(COMPARE EQUAL ${${DEP}_FILE} ${DEP}_FILE-NOTFOUND FF)
	IF(${FF})
		SET(${DEP}_FILE "\"${DEP}\"")
	ENDIF(${FF})
 
 	SET(COPY_DEP  ${${DEP}_FILE})

	SET(COPY_OUTPUT  ${CODEGENDIR}/${DEP})
	# custom command for copy
	ADD_CUSTOM_COMMAND(OUTPUT ${COPY_OUTPUT}
                     COMMAND ${CMAKE_COMMAND} -E copy ${COPY_DEP} ${COPY_OUTPUT}
					 DEPENDS ${COPY_DEP}
                     WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
                     COMMENT "copy ${COPY_DEP} to ${COPY_OUTPUT}")

  # target fuer OM_OUTPUT
  ADD_CUSTOM_TARGET(${DFWE}_cp ALL DEPENDS ${COPY_OUTPUT})
  
  # remember
  SET(COPY_ALL ${COPY_ALL} ${COPY_OUTPUT})
ENDFOREACH(DEP)

#.depend:
SET(DEPENDT_OUTPUT  ${CODEGENDIR}/.depend)
# custom command for rml to sig
ADD_CUSTOM_COMMAND(OUTPUT ${DEPENDT_OUTPUT}
                   COMMAND ${RML} -fdump-depends ${SRCMO} > .depend 	
                   DEPENDS ${COPY_ALL}
                   WORKING_DIRECTORY ${CODEGENDIR}
                   COMMENT "Generate .depend")

# target fuer OM_OUTPUT
ADD_CUSTOM_TARGET(depend ALL DEPENDS ${DEPENDT_OUTPUT})
  

# generate sig files
FOREACH(DEP ${ALLMO})

	# Datei- und Pfadname
    GET_FILENAME_COMPONENT(DF ${DEP} NAME)
    GET_FILENAME_COMPONENT(DFWE ${DEP} NAME_WE)
 
	# Merken
	SET(SIG_DEP ${DFWE}.sig)
  
  SET(SIGX_OUTPUT  ${CODEGENDIR}/${SIG_DEP})
  # custom command for rml to sig
  ADD_CUSTOM_COMMAND(OUTPUT ${SIGX_OUTPUT}
                     COMMAND ${RML} -fdump-interface ${DEP} > ${SIG_DEP}  	
					 DEPENDS ${DEPENDT_OUTPUT}
                     WORKING_DIRECTORY ${CODEGENDIR}
                     COMMENT "Generate Sigx from ${DF}")

  # target fuer OM_OUTPUT
  ADD_CUSTOM_TARGET(${DFWE}_sig ALL DEPENDS ${SIGX_OUTPUT})
  
    # remember
  SET(SIGX_ALL ${SIGX_ALL} ${SIGX_OUTPUT} )
ENDFOREACH(DEP)

# generate *.h and *.c from *.mo files
FOREACH(DEP ${SRCMO})

	# Datei- und Pfadname
    GET_FILENAME_COMPONENT(DF ${DEP} NAME)
    GET_FILENAME_COMPONENT(DFWE ${DEP} NAME_WE)
 
	# Merken
	SET(MOCH_DEP ${CODEGENDIR}/${DFWE}.h ${CODEGENDIR}/${DFWE}.c)
  
  SET(MOCH_OUTPUT  ${MOCH_DEP})
  # custom command for rml to sig
  ADD_CUSTOM_COMMAND(OUTPUT ${MOCH_OUTPUT}
                     COMMAND ${RML} -Eplain -ftrace ${RMLCFLAGS} ${DEP} 	
					 DEPENDS ${SIGX_ALL}
                     WORKING_DIRECTORY ${CODEGENDIR}
                     COMMENT "Generate *.h and *.c from ${DEP}")

  # target fuer OM_OUTPUT
  ADD_CUSTOM_TARGET(${DFWE}_codegen ALL DEPENDS ${MOCH_OUTPUT})
  
  # remember
  SET(MOCH_ALL ${MOCH_ALL} ${MOCH_OUTPUT})
  SET(MOCH_codegen_ALL ${MOCH_codegen_ALL} ${DFWE}_codegen)
ENDFOREACH(DEP)

ADD_SUBDIRECTORY(runtime)
ADD_SUBDIRECTORY(absyn_builder)
ADD_SUBDIRECTORY(modpar)

if(WIN32)
INCLUDE_DIRECTORIES($ENV{OMDEV}/tools/rml/include/plain)
link_directories($ENV{OMDEV}/lib/antlr-win32-msvc/md-mdd ${OMCTRUNCHOME}/Compiler/runtime/lpsolve/lib/win32)
link_directories($ENV{OMDEV}/tools/rml/lib/plain)
#link_directories(D:/Programming/OPENMODELICA/buildmmc/runtime/plain/RelWithDebInfo)
else(WIN32)
INCLUDE_DIRECTORIES(${RMLHOME}/include/plain)
link_directories(${RMLHOME}/lib/plain)
endif(WIN32)
INCLUDE_DIRECTORIES(${CODEGENDIR})

# mico und benoetigte Bibliotheken
IF(WIN32)
  SET(platform_libs optimized mico2313 debug mico2313d optimized antlr debug antlrd)
ELSE(WIN32)
  SET(platform_libs mico2.3.13 optimized antlr debug antlrd) #ssl pthread)
ENDIF(WIN32)
# omc program

#add_definitions(/Ob2 /Ox /O2 /Ot /Oy /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D "_CRT_SECURE_NO_WARNINGS" /D "_MBCS" /FD /EHsc /MT /W3 /nologo /c /TC /wd4311 /wd4312)
if(WIN32)
add_definitions(/D "_CRT_SECURE_NO_WARNINGS" /D "_CONSOLE")
endif(WIN32)
ADD_EXECUTABLE(omc ${MOCH_ALL})
if(WIN32)
TARGET_LINK_LIBRARIES(omc absyn_builder libmodpar sendData c_runtime wsock32 shlwapi)
TARGET_LINK_LIBRARIES(omc  rml)
else(WIN32)
TARGET_LINK_LIBRARIES(omc absyn_builder libmodpar sendData c_runtime runtime optimized lpsolve55 debug lpsolve55d ${platform_libs})
TARGET_LINK_LIBRARIES(omc rml)
endif(WIN32)

# install
INSTALL(TARGETS omc 
        RUNTIME DESTINATION bin)

=== Parser/Makefile ===

all: libantlr3.a ModelicaLexer.c ModelicaParser.c ModelicaParser

libantlr3.a: antlr-3.2/runtime/C/src/* antlr-3.2/runtime/C/include/* 
	# build the library
	gcc -O3 -c antlr-3.2/runtime/C/src/*.c -Iantlr-3.2/runtime/C/include
	ar -ru libantlr3.a *.o
	ranlib libantlr3.a
	rm -f *.o

ModelicaLexer.c ModelicaParser.c: Modelica.g
	./runantlr.sh

ModelicaParser: libantlr3.a ModelicaLexer.c ModelicaParser.c
	gcc -O3 -o ModelicaParser *.c -I. -Iantlr-3.2/runtime/C/include -L. -lantlr3
	mkdir -p Release
	cp -f ModelicaParser Release/ModelicaParser
	
test: ModelicaParser
	sh -c "time ./Release/ModelicaParser -f FullModelica3.1.mo" 

clean:
	rm -f *.o *.a ModelicaParser.c ModelicaParser.h ModelicaLexer.c ModelicaLexer.h ModelicaParser \
	ModelicaParser.exe ./Release/ModelicaParser.exe ./Release/ModelicaParser

=== c_runtime/CMakeLists.txt ===
# includes
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})

# OMC Compiler
SET(OMC_DEBUG ${OMCTRUNCHOME}/build/bin/omcd.exe)
MESSAGE(" omc is " ${OMC_DEBUG})

ADD_SUBDIRECTORY(libf2c)
ADD_SUBDIRECTORY(sendData)

# -------------------------------------------------------------
# MACRO definitions
# -------------------------------------------------------------

# Macros to hide/show cached variables.
# These two macros can be used to "hide" or "show" in the
# list of cached variables various variables and/or options 
# that depend on other options.
# Note that once a variable is modified, it will preserve its
# value (hidding it merely makes it internal)

MACRO(HIDE_VARIABLE var)
  IF(DEFINED ${var})
    SET(${var} "${${var}}" CACHE INTERNAL "")
  ENDIF(DEFINED ${var})
ENDMACRO(HIDE_VARIABLE)

MACRO(SHOW_VARIABLE var type doc default)
  IF(DEFINED ${var})
    SET(${var} "${${var}}" CACHE "${type}" "${doc}" FORCE)
  ELSE(DEFINED ${var})
    SET(${var} "${default}" CACHE "${type}" "${doc}")
  ENDIF(DEFINED ${var})
ENDMACRO(SHOW_VARIABLE)

# MACRO BUILDMODEL
MACRO(BUILDMODEL model dir Flags CSRC)

  INCLUDE_DIRECTORIES(${OMCTRUNCHOME}/c_runtime)

  # Variablen fuer openmodelica2sarturis
  SET(OMC_CODE   ${CMAKE_CURRENT_BINARY_DIR}/${model}.cpp
                 ${CMAKE_CURRENT_BINARY_DIR}/${model}_functions.cpp
                 ${CMAKE_CURRENT_BINARY_DIR}/${model}_init.txt)
  SET(OMC_OUTPUT  ${CMAKE_CURRENT_BINARY_DIR}/${model}.cpp)

  # custom command fuer openmodelicacompiler
  ADD_CUSTOM_COMMAND(OUTPUT ${OMC_OUTPUT}
                     COMMAND ${OMC_DEBUG} ${Flags} +s ${dir}/${model}.mo  												  
                     WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
                     COMMENT "Erzeuge Code fuer ${model} with ${OMC_DEBUG}")

  # target fuer OM_OUTPUT
  ADD_CUSTOM_TARGET(${model}codegen ALL DEPENDS ${OMC_OUTPUT})

  ADD_EXECUTABLE(${model} ${OMC_OUTPUT} ${CSRC})
  TARGET_LINK_LIBRARIES(${model} sim c_runtime f2c sendData)

  # Dependencies
  ADD_DEPENDENCIES(${model} ${model}codegen)
  
  IF(MODELS_INSTALL)
    INSTALL(TARGETS ${model} RUNTIME DESTINATION ${MODELS_INSTALL_PATH})
    INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/${model}_init.txt DESTINATION ${MODELS_INSTALL_PATH})
  ENDIF(MODELS_INSTALL)
#ENDFOREACH(model ${model_sources})
ENDMACRO(BUILDMODEL)



# Check if example files are to be exported
SHOW_VARIABLE(MODELS_INSTALL BOOL "Install models" ON)

# If MODELS are to be exported, check where we should install them.
IF(MODELS_INSTALL)

  SHOW_VARIABLE(MODELS_INSTALL_PATH STRING
    "Output directory for installing models files" "${CMAKE_INSTALL_PREFIX}")
    
  IF(NOT MODELS_INSTALL_PATH)
    PRINT_WARNING("The example installation path is empty"
      "Example installation path was reset to its default value")
    SET(MODELS_INSTALL_PATH "${CMAKE_INSTALL_PREFIX}" CACHE STRING
      "Output directory for installing example files" FORCE)
  ENDIF(NOT MODELS_INSTALL_PATH)

ELSE(MODELS_INSTALL)
   HIDE_VARIABLE(MODELS_INSTALL_PATH)
ENDIF(MODELS_INSTALL)

# Quellen und Header
SET(c_runtime_sources  boolean_array.c index_spec.c integer_array.c
                       memory_pool.c base_array.c real_array.c
					   string_array.c read_write.c utility.c
					   modelica_string.c bigden.c ddasrt.c  dlinpk.c
					   enorm.c   hybrd1.c  nelmead.c  qform.c
					   r1updt.c biglag.c  ddassl.c  dogleg.c
					   fdjac1.c  hybrj.c   newuoa.c   qrfac.c
					   trsapp.c daux.c    dlamch.c  dpmpar.c
					   hybrd.c   lsame.c   newuob.c   r1mpyq.c
					   update.c java_interface.c meta_modelica.c
					   division.c)
#					   meta_modelica_builtin.c)

SET(c_runtime_headers  blaswrap.h f2c.h integer_array.h memory_pool.h
                       modelica_string.h base_array.h inline.h real_array.h
					   string_array.h boolean_array.h index_spec.h matrix.h
					   modelica.h read_write.h utility.h meta_modelica.h
					   meta_modelica_builtin.h java_interface.h jni.h division.h
					   jni_md.h jni_md_solaris.h jni_md_windows.h fortran_types.h
					   sendData/sendData.h sendData/humbug.h)				 
						 
					   
SET(sim_sources simulation_runtime.cpp simulation_init.cpp simulation_input.cpp
                simulation_events.cpp solver_dasrt.cpp solver_euler.cpp 
				simulation_result.cpp simulation_delay.cpp tables.cpp
				options.cpp dgesv_aux.c)
					   
SET(sim_headers simulation_runtime.h simulation_init.h simulation_input.h
                simulation_events.h solver_dasrt.h solver_euler.h simulation_result.h
				simulation_delay.h tables.h options.h)


# Library c_runtime
#ADD_DEFINITIONS(/Wall /O3  /ansi /pedantic)
if(WIN32)
#add_definitions(/MT)
endif(WIN32)
ADD_LIBRARY(c_runtime ${c_runtime_sources} ${c_runtime_headers})
TARGET_LINK_LIBRARIES(c_runtime f2c)
# Library sim
if(WIN32)
#add_definitions(/MT)
endif(WIN32)
ADD_LIBRARY(sim ${sim_sources} ${sim_headers})
TARGET_LINK_LIBRARIES(sim c_runtime f2c)

# Install
INSTALL(TARGETS c_runtime sim
		ARCHIVE DESTINATION lib)
		
INSTALL(FILES ${c_runtime_headers} DESTINATION include)

=== testsuite/Makefile ===
.PHONY : all omc-diff failingtest test fast fast.logs drmodelica.log mofiles.log msl.log java.log records.log meta.log mmdev.log mosfiles.log mosfiles-msl22.log mosfiles-nosim.log libraries.log

all : test

omc-diff :
	$(MAKE) -C difftool
test : omc-diff libraries.log fast.logs
	@cat drmodelica.log mofiles.log msl.log mosfiles.log mosfiles-msl22.log mosfiles-nosim.log meta.log mmdev.log records.log libraries.log
	@rm -f {mofiles/drmodelica,mofiles,mofiles/msl,meta,records,java}/*.{dll,so,exe};
test-oldresult:
	@cat drmodelica.log mofiles.log msl.log mosfiles.log mosfiles-msl22.log mosfiles-nosim.log meta.log mmdev.log records.log libraries.log
fast : omc-diff fast.logs
	@cat drmodelica.log mofiles.log msl.log mosfiles.log mosfiles-msl22.log mosfiles-nosim.log meta.log mmdev.log records.log
	@rm -f {mofiles/drmodelica,mofiles,mofiles/msl,meta,records,java}/*.{dll,so,exe};
fast.logs: mosfiles.log mosfiles-msl22.log meta.log mofiles.log msl.log mmdev.log drmodelica.log mosfiles-nosim.log records.log
# java should probably also be part of 'fast'
libraries.log:
	$(MAKE) -C libraries -f Makefile test > $@
	@echo $@ done
drmodelica.log:
	$(MAKE) -C mofiles/drmodelica -f Makefile test > drmodelica.log
	@echo $@ done
mofiles.log:
	$(MAKE) -C mofiles -f Makefile test > mofiles.log
	@echo $@ done
msl.log:
	$(MAKE) -C mofiles/msl -f Makefile test > msl.log
	@echo $@ done
mosfiles.log:
	$(MAKE) -C mosfiles -f Makefile test > $@
	@echo $@ done
mosfiles-msl22.log:
	$(MAKE) -C mosfiles-msl22 -f Makefile test > $@
	@echo $@ done
mosfiles-nosim.log:
	$(MAKE) -C mosfiles-nosim -f Makefile test > $@
	@echo $@ done
meta.log:
	$(MAKE) -C meta -f Makefile test > $@
	@echo $@ done
mmdev.log:
	$(MAKE) -C meta/MetaModelicaDev -f Makefile.omc test > $@
	@echo $@ done
records.log:
	$(MAKE) -C records -f Makefile test > $@
	@echo $@ done
java.log:
	$(MAKE) -C java -f Makefile test > $@
	@echo $@ done
	
failingtest: omc-diff
	cd mofiles; $(MAKE) -f Makefile failingtest; \
	cd msl; $(MAKE) -f Makefile failingtest; \

=== Compiler/absyn_builder/CMakeLists.txt ===
# java
IF(NOT JAVA)
  FIND_PROGRAM(JAVA java DOC "Location of the java executable"
               PATHS ENV
               PATH_SUFFIXES bin)
  MESSAGE(STATUS "-- java is " ${JAVA})
ENDIF(NOT JAVA)

# antlr 
if(WIN32)
SET(ANTLRCLASSPATH  $ENV{OMDEV}/bin/antlr/antlr.jar)
else(WIN32)
SET(ANTLRCLASSPATH  /usr/share/java/antlr.jar)
endif(WIN32)
SET(ANTLR ${JAVA} -cp ${ANTLRCLASSPATH} antlr.Tool)
SET(ANTLRFLAGS ) #-traceParser")


# Includes

if(WIN32)
INCLUDE_DIRECTORIES($ENV{OMDEV}/tools/rml/include/plain)
INCLUDE_DIRECTORIES($ENV{OMDEV}/include)
else(WIN32)
INCLUDE_DIRECTORIES(${RMLHOME}/include/plain)
endif(WIN32)
INCLUDE_DIRECTORIES(${OMCTRUNCHOME}/modelica_parser/src)
INCLUDE_DIRECTORIES(${CODEGENDIR}/absyn_builder)

GET_PROPERTY(modelica_parser GLOBAL PROPERTY  MODELICA_parser_BUILD)
INCLUDE_DIRECTORIES(${modelica_parser})
GET_PROPERTY(modelica_flat_parser GLOBAL PROPERTY  MODELICA_flat_parser_BUILD)
INCLUDE_DIRECTORIES(${modelica_flat_parser})


  SET(MPTT_OUTPUT ${CODEGENDIR}/absyn_builder/modelica_parserTokenTypes.txt)
  # custom command for ar
  ADD_CUSTOM_COMMAND(OUTPUT ${MPTT_OUTPUT}
                     COMMAND ${CMAKE_COMMAND} -E copy ${modelica_parser}/modelica_parserTokenTypes.txt ${CODEGENDIR}/absyn_builder/modelica_parserTokenTypes.txt
					 DEPENDS ${modelica_parser}/modelica_parserTokenTypes.txt
                     WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
                     COMMENT "copy ${modelica_parser}/modelica_parserTokenTypes.txt to  ${CODEGENDIR}/absyn_builder/modelica_parserTokenTypes.txt")

  # target fuer OM_OUTPUT
  ADD_CUSTOM_TARGET(MPTT_cp ALL DEPENDS ${MPTT_OUTPUT})
  add_dependencies(MPTT_cp libmodelica_parser libflat_modelica_parser)
  
# generate antlr files
SET(DEP  walker.g)

	# Datei- und Pfadname
    GET_FILENAME_COMPONENT(DF ${DEP} NAME)
    GET_FILENAME_COMPONENT(DF_WE ${DEP} NAME_WE)
    GET_FILENAME_COMPONENT(DP ${DEP} PATH)

	# Suchen
	FIND_FILE(${DEP}_FILE ${DF} PATHS ${DP} ${CMAKE_CURRENT_SOURCE_DIR})

	# Wenn nicht gefunden, dann Original nehmen
	STRING(COMPARE EQUAL ${${DEP}_FILE} ${DEP}_FILE-NOTFOUND FF)
	IF(${FF})
		SET(${DEP}_FILE "\"${DEP}\"")
	ENDIF(${FF})
 
	# Merken
	SET(ANTLR_DEP ${${DEP}_FILE})

  SET(ANTLR_OUTPUT ${CODEGENDIR}/absyn_builder/modelica_tree_parser.cpp ${CODEGENDIR}/absyn_builder/modelica_tree_parser.hpp 
	               ${CODEGENDIR}/absyn_builder/modelica_tree_parserTokenTypes.hpp ${CODEGENDIR}/absyn_builder/modelica_tree_parserTokenTypes.txt)
  # custom command for ar
  ADD_CUSTOM_COMMAND(OUTPUT ${ANTLR_OUTPUT}
                     COMMAND ${ANTLR} ${ANTLRFLAGS} ${ANTLR_DEP} 
					 DEPENDS ${MPTT_OUTPUT} ${ANTLR_DEP} ${MOCH_ALL}
                     WORKING_DIRECTORY ${CODEGENDIR}/absyn_builder
                     COMMENT "Generate antlr from ${DEP}")

  # target fuer OM_OUTPUT
  ADD_CUSTOM_TARGET(${DEP}_antlr ALL DEPENDS ${ANTLR_OUTPUT})

# Datei- und Pfadname
SET(WDEP expression_parser.g)
    GET_FILENAME_COMPONENT(WDF ${WDEP} NAME)
    GET_FILENAME_COMPONENT(WDF_WE ${WDEP} NAME_WE)
    GET_FILENAME_COMPONENT(WDP ${WDEP} PATH)

	# Suchen
	FIND_FILE(${WDEP}_FILE ${WDF} PATHS ${WDP} ${CMAKE_CURRENT_SOURCE_DIR})

	# Wenn nicht gefunden, dann Original nehmen
	STRING(COMPARE EQUAL ${${WDEP}_FILE} ${WDEP}_FILE-NOTFOUND FF)
	IF(${FF})
		SET(${WDEP}_FILE "\"${WDEP}\"")
	ENDIF(${FF})
 
	# Merken
	SET(ANTLR_WDEP ${${WDEP}_FILE})

  SET(ANTLR_WOUTPUT ${CODEGENDIR}/absyn_builder/modelica_expression_parser.cpp ${CODEGENDIR}/absyn_builder/modelica_expression_parser.hpp
                    ${CODEGENDIR}/absyn_builder/modelica_expression_parserTokenTypes.hpp ${CODEGENDIR}/absyn_builder/modelica_expression_parserTokenTypes.txt)

  SET(EP_OUTPUT ${CODEGENDIR}/absyn_builder/${WDEP})
  # custom command for ar
  ADD_CUSTOM_COMMAND(OUTPUT ${EP_OUTPUT}
                     COMMAND ${CMAKE_COMMAND} -E copy ${ANTLR_WDEP} ${EP_OUTPUT}
					 DEPENDS ${MPTT_OUTPUT} ${MOCH_ALL}
                     WORKING_DIRECTORY ${CODEGENDIR}/absyn_builder
                     COMMENT "copy ${ANTLR_WDEP} to ${EP_OUTPUT}")

  # target fuer OM_OUTPUT
  ADD_CUSTOM_TARGET(${WDEP}_cp ALL DEPENDS ${EP_OUTPUT})					

  # custom command for ar
  ADD_CUSTOM_COMMAND(OUTPUT ${ANTLR_WOUTPUT}
                     COMMAND ${ANTLR} -glib ${OMCTRUNCHOME}/modelica_parser/src/modelica_parser.g ${ANTLRFLAGS} ${WDEP}
					 DEPENDS ${EP_OUTPUT}  ${ANTLR_WDEP} ${CODEGENDIR}/absyn_builder/modelica_parserTokenTypes.txt 					 
                     WORKING_DIRECTORY ${CODEGENDIR}/absyn_builder
                     COMMENT "Generate antlr from ${ANTLR_WDEP}")

  # target fuer OM_OUTPUT
  ADD_CUSTOM_TARGET(${WDEP}_antlr ALL DEPENDS ${ANTLR_WOUTPUT})
  
  
# source
SET(ANTLR_FILES ${DEP} ${WDEP})
SET(helperobjs parse.cpp)

SET(OBJS ${helperobjs} ${ANTLR_OUTPUT} ${ANTLR_WOUTPUT} ${ANTLR_FILES})

IF(WIN32)
  SET(platform_libs optimized antlr debug antlrd)
  link_directories($ENV{OMDEV}/lib/antlr-win32-msvc/md-mdd)
ELSE(WIN32)
  SET(platform_libs optimized antlr debug antlrd) #ssl pthread)
ENDIF(WIN32)

#add_definitions(/Ob2 /Ox /O2 /Ot /Oy /D "WIN32" /D "NDEBUG" /D "_LIB" /D "_MBCS" /FD /EHsc /MT /GS /Fd"antlr.pdb" /W3 /nologo /c /Zi /TP)
ADD_LIBRARY(absyn_builder ${OBJS})
TARGET_LINK_LIBRARIES(absyn_builder libmodelica_parser libflat_modelica_parser runtime ${platform_libs})
add_dependencies(absyn_builder ${MOCH_codegen_ALL})

=== Compiler/runtime/CMakeLists.txt ===


IF(NOT IDL)
  FIND_PROGRAM(IDL idl DOC "Location of the idl executable"
               PATHS ENV OMDEV 
               PATH_SUFFIXES bin bin/mico)
  MESSAGE(STATUS "-- idl is " ${IDL})
ENDIF(NOT IDL)

if(WIN32)
INCLUDE_DIRECTORIES($ENV{OMDEV}/tools/rml/include/plain)
else(WIN32)
INCLUDE_DIRECTORIES(${RMLHOME}/include/plain)
endif(WIN32)
INCLUDE_DIRECTORIES(${CODEGENDIR})
INCLUDE_DIRECTORIES(${CODEGENDIR}/absyn_builder)
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/lpsolve)
INCLUDE_DIRECTORIES(${OMCTRUNCHOME}/c_runtime)


# custom command for idl
SET(IDL_OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/omc_communication.cc ${CMAKE_CURRENT_BINARY_DIR}/omc_communication.h)
ADD_CUSTOM_COMMAND(OUTPUT ${IDL_OUTPUT}
                   COMMAND ${IDL} ${CMAKE_CURRENT_SOURCE_DIR}/omc_communication.idl  												  
                   WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
                   COMMENT "Generate omc_communication")

# target fuer OM_OUTPUT
ADD_CUSTOM_TARGET(omc_communication ALL DEPENDS ${IDL_OUTPUT})	

# Quellen und Header
SET(CORBASRC ${IDL_OUTPUT} omc_communication_impl.cpp corbaimpl.cpp)
SET(SRC	rtopts.c socketimpl.c printimpl.c systemimpl.c settingsimpl.c dynload.c SimulationResults.c)
SET(CPPSRC  unitparser.cpp unitparserext.cpp ptolemyio.cpp daeext.cpp ErrorMessage.cpp errorext.cpp
            optmanager.cpp systemimplmisc.cpp ${CORBASRC})
SET(OBJ ${SRC} ${CPPSRC})

IF(WIN32)
  SET(platform_libs optimized mico2313 debug mico2313d)
ELSE(WIN32)
  SET(platform_libs mico2.3.13) 
ENDIF(WIN32)		
link_directories(${OMCTRUNCHOME}/Compiler/runtime/lpsolve/lib/win32)	

# Library runtime
ADD_LIBRARY(runtime ${OBJ})
TARGET_LINK_LIBRARIES(runtime sendData c_runtime ${platform_libs} optimized lpsolve55 debug lpsolve55d)
add_dependencies(runtime ${MOCH_codegen_ALL})

=== Compiler/susan_codegen/Makefile ===
.PHONY : all

OMC = ../../build/bin/omc

all : TplCodegen.mo
TplCodegen.mo : TplCodegen.tpl
	@echo " ** Susan Test ** "
	$(OMC) +d=failtrace TplCodegen.tpl
	cp -puf TplCodegen.mo ../
	@echo " "

=== c_runtime/java_interface/Makefile ===
include Makefile.common

modelica_java.jar: $(java_sources)
	@echo "* Compiling modelica_java.jar"
	@rm -rf bin-jar; mkdir bin-jar
	@"$(JAVAC)" -source 5 -cp "$(antlr)" -d bin-jar $(java_sources)
	@$(JAR) cf modelica_java.jar $(java_sources:src/%=-C src %) $(resources:src/%=-C src %) -C bin-jar . || (rm $@ && false)
test: $(java_sources)
	rm -rf bin-test; mkdir bin-test
	@"$(JAVAC)" -source 5 -cp "$(antlr):$(junit)" -d bin-test $(java_sources) $(java_tests)
	$(JAVA) -cp "bin-test:src:$(antlr):$(junit)" org.junit.runner.JUnitCore $(junit_tests)

=== flat_modelica_parser/src/CMakeLists.txt ===
# java
IF(NOT JAVA)
  FIND_PROGRAM(JAVA java DOC "Location of the java executable"
               PATHS ENV
               PATH_SUFFIXES bin)
  MESSAGE(STATUS "-- java is " ${JAVA})
ENDIF(NOT JAVA)

# antlr
if(WIN32)
SET(ANTLRCLASSPATH  $ENV{OMDEV}/bin/antlr/antlr.jar)
else(WIN32)
SET(ANTLRCLASSPATH  /usr/share/java/antlr.jar)
endif(WIN32)
SET(ANTLR ${JAVA} -cp ${ANTLRCLASSPATH} antlr.Tool)
SET(ANTLRFLAGS ) #-traceParser")

SET(ANTLR_FILES flat_modelica_parser.g flat_modelica_lexer.g)

# Includes
INCLUDE_DIRECTORIES($ENV{OMDEV}/include)
INCLUDE_DIRECTORIES(${OMCTRUNCHOME}/modelica_parser/src)

# generate antlr files
SET(DEP flat_modelica_lexer.g)

	# Datei- und Pfadname
    GET_FILENAME_COMPONENT(DF ${DEP} NAME)
    GET_FILENAME_COMPONENT(DF_WE ${DEP} NAME_WE)
    GET_FILENAME_COMPONENT(DP ${DEP} PATH)

	# Suchen
	FIND_FILE(${DEP}_FILE ${DF} PATHS ${DP} ${CMAKE_CURRENT_SOURCE_DIR})

	# Wenn nicht gefunden, dann Original nehmen
	STRING(COMPARE EQUAL ${${DEP}_FILE} ${DEP}_FILE-NOTFOUND FF)
	IF(${FF})
		SET(${DEP}_FILE "\"${DEP}\"")
	ENDIF(${FF})
 
	# Merken
	SET(ANTLR_DEP ${${DEP}_FILE})

  SET(ANTLR_OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${DF_WE}.cpp ${CMAKE_CURRENT_BINARY_DIR}/${DF_WE}.hpp ${CMAKE_CURRENT_BINARY_DIR}/modelicaTokenTypes.hpp ${CMAKE_CURRENT_BINARY_DIR}/modelicaTokenTypes.txt)
  # custom command for ar
  ADD_CUSTOM_COMMAND(OUTPUT ${ANTLR_OUTPUT}
                     COMMAND ${ANTLR} ${ANTLRFLAGS} ${ANTLR_DEP}	
					 DEPENDS ${ANTLR_DEP}					 
                     WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
                     COMMENT "Generate antlr from ${DEP}")

  # target fuer OM_OUTPUT
  ADD_CUSTOM_TARGET(${DEP}_antlr ALL DEPENDS ${ANTLR_DEP})



SET(PDEP flat_modelica_parser.g)

	# Datei- und Pfadname
    GET_FILENAME_COMPONENT(PDF ${PDEP} NAME)
    GET_FILENAME_COMPONENT(PDF_WE ${PDEP} NAME_WE)
    GET_FILENAME_COMPONENT(PDP ${PDEP} PATH)

	# Suchen
	FIND_FILE(${PDEP}_FILE ${PDF} PATHS ${PDP} ${CMAKE_CURRENT_SOURCE_DIR})

	# Wenn nicht gefunden, dann Original nehmen
	STRING(COMPARE EQUAL ${${PDEP}_FILE} ${PDEP}_FILE-NOTFOUND FF)
	IF(${FF})
		SET(${PDEP}_FILE "\"${PDEP}\"")
	ENDIF(${FF})
 
	# Merken
	SET(ANTLR_PDEP ${${PDEP}_FILE})

  SET(ANTLR_POUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${PDF_WE}.cpp ${CMAKE_CURRENT_BINARY_DIR}/${PDF_WE}.hpp ${CMAKE_CURRENT_BINARY_DIR}/flat_modelica_parserTokenTypes.hpp ${CMAKE_CURRENT_BINARY_DIR}/flat_modelica_parserTokenTypes.txt)
  # custom command for ar
  ADD_CUSTOM_COMMAND(OUTPUT ${ANTLR_POUTPUT}
                     COMMAND ${ANTLR} ${ANTLRFLAGS} ${ANTLR_PDEP}	
				     DEPENDS ${ANTLR_PDEP} ${ANTLR_OUTPUT}					 
                     WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
                     COMMENT "Generate antlr from ${PDEP}")

  # target fuer OM_OUTPUT
  ADD_CUSTOM_TARGET(${PDEP}_antlr ALL DEPENDS ${ANTLR_PDEP})

# Property 
SET_PROPERTY(GLOBAL PROPERTY MODELICA_flat_parser_BUILD ${CMAKE_CURRENT_BINARY_DIR}) 

# source
SET(helperobjs ${OMCTRUNCHOME}/modelica_parser/src/token_names.cpp
		       ${OMCTRUNCHOME}/modelica_parser/src/parse_tree_dumper.cpp
			   ${OMCTRUNCHOME}/modelica_parser/src/token_names.hpp
			   ${OMCTRUNCHOME}/modelica_parser/src/parse_tree_dumper.hpp 
			   ${OMCTRUNCHOME}/modelica_parser/src/MyAST.h)

SET(OBJS ${helperobjs} ${ANTLR_OUTPUT} ${ANTLR_POUTPUT} ${ANTLR_FILES})

#add_definitions(/Ob2 /Ox /O2 /Ot /Oy /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D "_MBCS" /FD /EHsc /MT /W3 /nologo /c /TP /wd4311 /wd4312)
ADD_LIBRARY(libflat_modelica_parser ${OBJS})

=== modelica_parser/src/CMakeLists.txt ===

# java
IF(NOT JAVA)
  FIND_PROGRAM(JAVA java DOC "Location of the java executable"
               PATHS ENV
               PATH_SUFFIXES bin)
  MESSAGE(STATUS "-- java is " ${JAVA})
ENDIF(NOT JAVA)

# antlr
if(WIN32)
SET(ANTLRCLASSPATH  $ENV{OMDEV}/bin/antlr/antlr.jar)
else(WIN32)
SET(ANTLRCLASSPATH  /usr/share/java/antlr.jar)
endif(WIN32)
SET(ANTLR ${JAVA} -cp ${ANTLRCLASSPATH} antlr.Tool)
SET(ANTLRFLAGS ) #-traceParser")

SET(ANTLR_FILES modelica_parser.g modelica_lexer.g)

# Includes
INCLUDE_DIRECTORIES($ENV{OMDEV}/include)
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})

# generate antlr files
SET(DEP modelica_lexer.g)

	# Datei- und Pfadname
    GET_FILENAME_COMPONENT(DF ${DEP} NAME)
    GET_FILENAME_COMPONENT(DF_WE ${DEP} NAME_WE)
    GET_FILENAME_COMPONENT(DP ${DEP} PATH)

	# Suchen
	FIND_FILE(${DEP}_FILE ${DF} PATHS ${DP} ${CMAKE_CURRENT_SOURCE_DIR})

	# Wenn nicht gefunden, dann Original nehmen
	STRING(COMPARE EQUAL ${${DEP}_FILE} ${DEP}_FILE-NOTFOUND FF)
	IF(${FF})
		SET(${DEP}_FILE "\"${DEP}\"")
	ENDIF(${FF})
 
	# Merken
	SET(ANTLR_DEP ${${DEP}_FILE})

  SET(ANTLR_OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${DF_WE}.cpp ${CMAKE_CURRENT_BINARY_DIR}/${DF_WE}.hpp ${CMAKE_CURRENT_BINARY_DIR}/modelicaTokenTypes.hpp ${CMAKE_CURRENT_BINARY_DIR}/modelicaTokenTypes.txt)
  # custom command for ar
  ADD_CUSTOM_COMMAND(OUTPUT ${ANTLR_OUTPUT}
                     COMMAND ${ANTLR} ${ANTLRFLAGS} ${ANTLR_DEP}
					 DEPENDS ${ANTLR_DEP}					 
                     WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
                     COMMENT "Generate antlr from ${DEP}")

  # target fuer OM_OUTPUT
  ADD_CUSTOM_TARGET(${DEP}_antlr ALL DEPENDS ${ANTLR_DEP})

  
# generate antlr files
SET(PDEP modelica_parser.g)

	# Datei- und Pfadname
    GET_FILENAME_COMPONENT(PDF ${PDEP} NAME)
    GET_FILENAME_COMPONENT(PDF_WE ${PDEP} NAME_WE)
    GET_FILENAME_COMPONENT(PDP ${PDEP} PATH)

	# Suchen
	FIND_FILE(${PDEP}_FILE ${PDF} PATHS ${PDP} ${CMAKE_CURRENT_SOURCE_DIR})

	# Wenn nicht gefunden, dann Original nehmen
	STRING(COMPARE EQUAL ${${PDEP}_FILE} ${PDEP}_FILE-NOTFOUND FF)
	IF(${FF})
		SET(${PDEP}_FILE "\"${PDEP}\"")
	ENDIF(${FF})
 
	# Merken
	SET(ANTLR_PDEP ${${PDEP}_FILE})

  SET(ANTLR_POUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${PDF_WE}.cpp ${CMAKE_CURRENT_BINARY_DIR}/${PDF_WE}.hpp ${CMAKE_CURRENT_BINARY_DIR}/modelica_parserTokenTypes.hpp ${CMAKE_CURRENT_BINARY_DIR}/modelica_parserTokenTypes.txt)
  # custom command for ar
  ADD_CUSTOM_COMMAND(OUTPUT ${ANTLR_POUTPUT}
                     COMMAND ${ANTLR} ${ANTLRFLAGS} ${ANTLR_PDEP}	
					 DEPENDS ${ANTLR_PDEP} ${ANTLR_OUTPUT}
                     WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
                     COMMENT "Generate antlr from ${PDEP}")

  # target fuer OM_OUTPUT
  ADD_CUSTOM_TARGET(${PDF_WE}_antlr ALL DEPENDS ${ANTLR_PDEP})
 
# Property 
SET_PROPERTY(GLOBAL PROPERTY MODELICA_parser_BUILD ${CMAKE_CURRENT_BINARY_DIR}) 
  
# source
SET(helperobjs token_names.cpp parse_tree_dumper.cpp token_names.hpp parse_tree_dumper.hpp MyAST.h)
SET(OBJS ${helperobjs} ${ANTLR_OUTPUT} ${ANTLR_FILES} ${ANTLR_POUTPUT})

IF(WIN32)
  SET(platform_libs optimized antlr debug antlrd)
  link_directories($ENV{OMDEV}/lib/antlr-win32-msvc/md-mdd)
ELSE(WIN32)
  SET(platform_libs optimized antlr debug antlrd) #ssl pthread)
ENDIF(WIN32)

#add_definitions(/Ob2 /Ox /O2 /Ot /Oy /D "WIN32" /D "NDEBUG" /D "_LIB" /D "_MBCS" /FD /EHsc /MT /GS /Fd"antlr.pdb" /W3 /nologo /c /Zi /TP)
ADD_LIBRARY(libmodelica_parser ${OBJS})
TARGET_LINK_LIBRARIES(libmodelica_parser ${platform_libs})

=== testsuite/libraries/Makefile ===
LOGS = multibody.log msl221.log msl221additions.log biochem.log
.PHONY : all failingtest msl221.log msl221additions.log biochem.log multibody.log

all : test
test : $(LOGS)
	@cat $(LOGS)

msl221.log:
	$(MAKE) -C msl221 -f Makefile test > $@
msl221additions.log:
	$(MAKE) -C msl221/modelicaAdditions -f Makefile test > $@
biochem.log:
	$(MAKE) -C biochem -f Makefile test > $@
multibody.log:
	$(MAKE) -C multibody -f Makefile test > $@
	
failingtest:
	cd msl221; $(MAKE) -f Makefile failingtest; \
	cd ../msl221/modelicaAdditions; $(MAKE) -f Makefile failingtest; \
	cd ../../biochem; $(MAKE) -f Makefile failingtest; \
	cd ../multibody; $(MAKE) -f Makefile failingtest;

## openmodelica 1.5.0.svn.r5350

=== debian/changelog ===
openmodelica (1.5.0.svn.r5350-2) unstable; urgency=low

  * Removed java6-jre from build-dep (jdk will handle that).
 -- Martin Sjölund <martin.sjolund@liu.se>  Thu, 22 Apr 2010 11:48:00 +0200

openmodelica (1.5.0.svn.r5350-1) unstable; urgency=low

  * Build new Debian binary packages from svn.
 -- Martin Sjölund <martin.sjolund@liu.se>  Wed, 21 Apr 2010 11:30:17 +0200

openmodelica (1.5.0~RC1-1) unstable; urgency=low

  * Build a new Debian binary packages from tag svn-4489.
    The build is for the release candidate version 1.5.0~RC1. 
  * Include Debian package liblpsolve55-dev and libsuitesparse-dev. The
    package liblpsolve55-dev depends on libsuitesparse-dev. Library
    libsolve55.a has a reference to libcolamd.a, consequence the linker
    flag LDFLAGS in Compiler/omc_release/Makefile needs the parameter
    -lcolamd. The same flag parameter is writen into Compiler/omc_debug/
    Makefile. The library libcolamd.a is located in the Debian package of
    libsuitesparse-dev.
  * Changed Makefile.common under directory c_runtime/java_interface/.
    Put variable JAVA_HOME in the make file. JAVA_HOME points now to
    /usr/lib/jvm/java-6-sun/.
  * Changed target install of the make file c_runtime/Makefile. The value
    of the make parameter -f is changed from Makefile.omdev.mingw to -f
    Makefile.
  * Changed make file ./Makefile. Now it will make the directory ./build/
    share/java/. The target install will now handle the installation of
    the java files into the Debian package directory.
  * Adapted the man page omc.1 to reflect the changes from the previous
    version of omc.
  * Corrected path in doc-base control files omc.doc-base.*.

 -- Robert Wotzlaw <Robert.Wotzlaw@web.de>  Wed, 18 Nov 2009 13:35:39 +0100

openmodelica (1.4.5+svn3858-1) unstable; urgency=low

  * Build new Debian binary packages from trunk svn-3858.
  * Add task rename.ul under target install in file ./debian/rules.
    The task changed some file name extensions from pn to png in
    directory ModelicaAdditions/help. The command rename.ul is included
    in the Debian package util-linux 2.13.1.1-1.
  * Add task autoconf under target config.status in file ./debian/rules.
    The task was necessary, because the Debian source package changed the
    file configure.in.

 -- Robert Wotzlaw <Robert.Wotzlaw@web.de>  Mon, 16 Feb 2009 10:08:12 +0100

openmodelica (1.4.5+svn3828-1) unstable; urgency=low

  * Build new Debian binary packages from trunk svn-3828.
  * Changed file modus of all files to 644 in the Modelica library.
    Changed dos line ends to unix of all txt, mo, mos, c, h and html files
    in the Modelica library.
    Changed some file name extensions from pn to png under
    ModelicaAdditions/help:
    - ModelicaAdditions.Blocks.Logical.Interfaces.BooleanSI2SOD.pn
    - ModelicaAdditions.Blocks.Logical.Interfaces.BooleanSI2SOI.pn
    - ModelicaAdditions.HeatFlow1D.Sensors.RelativeTemperatureD.pn
    - ModelicaAdditions.HeatFlow1D.Sensors.RelativeTemperatureI.pn
    - ModelicaAdditions.MultiBody.Examples.Robots.r3.axisType1D.pn
    - ModelicaAdditions.MultiBody.Examples.Robots.r3.axisType1I.pn
    - ModelicaAdditions.MultiBody.Examples.Robots.r3.axisType2D.pn
    - ModelicaAdditions.MultiBody.Examples.Robots.r3.axisType2I.pn
  * Changed path names in onb files (directory testmodels) from windows
    to unix.
    Changed visualize() parameter in file 3D_BouncingBall3D.onb (directory
    testmodels) from BouncingBall to BouncingBall3D.
  * Mr. Peter Friztson should change date in title OpenModelica System
    Documentation from 2008-01-27 to 2009-01-27 (file OpenModelicaSystem.pdf).
    After this correction the manual page omc.1 must be corrected to.
  * Changed file  

 -- Robert Wotzlaw <Robert.Wotzlaw@web.de>  Fri, 30 Jan 2009 17:22:07 +0100

openmodelica (1.4.4+svn3802-1) unstable; urgency=low

  * Build new Debian binary packages from trunk svn-3802.
  * The official Debian libsoqt4-dev 1.4.1-6 package is based on Coin 2.5
    and not on Coin 2.0.

 -- Robert Wotzlaw <Robert.Wotzlaw@web.de>  Sun, 18 Jan 2009 14:00:12 +0100

openmodelica (1.4.4+svn3790-1) unstable; urgency=low

  * Build new Debian binary packages from trunk svn-3790.
  * Build with rml-mmc compiler 2.3.8 trunk svn-147.
  * Changed from Coin 2.0 to Coin 3.0.0 and adapted SoQt 1.4.1.
  * Build Debian binaries that linked Coin 3.0.0 with SoQt 1.4.1.

 -- Robert Wotzlaw <Robert.Wotzlaw@web.de>  Tue, 13 Jan 2009 13:19:19 +0100

openmodelica (1.4.4+svn3773-1) unstable; urgency=low

  * Build a new Debian package from trunk svn-3773.

 -- Robert Wotzlaw <Robert.Wotzlaw@web.de>  Thu, 08 Jan 2009 16:30:19 +0100

openmodelica (1.4.4+svn3739-4) unstable; urgency=low

  * Change Debian source package name from omc to openmodelica.

 -- Robert Wotzlaw <Robert.Wotzlaw@web.de>  Wed, 31 Dec 2008 17:17:00 +0100

omc (1.4.4+svn3739-3) unstable; urgency=low

  * Building OpenModelica debian binary package with sub packages. 
  * Add the Debian meta package openmodelica. 

 -- Robert Wotzlaw <Robert.Wotzlaw@web.de>  Wed, 31 Dec 2008 13:27:29 +0100

omc (1.4.4+svn3739-2) unstable; urgency=low

  * MimeType support in file manager nautilus for application OMNotebook.
    Supported mime types are application/x-omnotebook and text/x-onb.
    The mime type application/x-omnotebook is linked with the file extension
    .onbz and the mime type text/x-onb is linked with a magic patter.
  * Put the mime types in the file omnotebook.desktop.

 -- Robert Wotzlaw <Robert.Wotzlaw@web.de>  Thu, 18 Dec 2008 11:50:13 +0100

omc (1.4.4+svn3739-1) unstable; urgency=low

  * Changed the version numbering 

 -- Robert Wotzlaw <Robert.Wotzlaw@web.de>  Thu, 04 Dec 2008 11:47:41 +0100

omc (1.4.4.svn.3739-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Changed directory from /usr/share/omc-shell/ to /usr/lib/omc/
    this might be more Linux File Standard compatible

 -- Robert Wotzlaw <Robert.Wotzlaw@web.de>  Tue, 02 Dec 2008 11:40:43 +0100



=== debian/control ===
Source: openmodelica
Section: math
Priority: optional
Maintainer: Martin Sjölund <martin.sjolund@liu.se>
Build-Depends: debhelper (>= 7.0.0),
 antlr (>= 2.7.7-11),
 libantlr-dev (>= 2.7.7-11),
 libssl-dev (>= 0.9.8g-16),
 libreadline5-dev (>= 5.2-4),
 libsoqt4-dev (>= 1.4.2~20090224-2),
 liblpsolve55-dev (>= 5.5.0.13-4),
 libsuitesparse-dev (>= 1:3.2.0-4),
 rml-mmc,
 sun-java6-jdk | java6-sdk,
 libomniorb4-dev,
 omniidl4,
 flex,
 bison,
 autoconf
Standards-Version: 3.8.4

Package: openmodelica
Section: math
Architecture: any
Depends: omlibrary,
 omshell (= ${binary:Version}),
 omshell-terminal (= ${binary:Version}),
 omnotebook (= ${binary:Version}),
 ${misc:Depends}
Description: The OpenModelica Project a complete Modelica environment
 The goal of the project is to create a complete Modelica modeling, compilation
 and simulation environment based on free software distributed in binary and
 source code form.
 .
 ! THIS IS NOT A OFFICIAL DEBIAN PACKAGE, USE IT WITH CARE !
 .
 This package is a Debian meta package. After installation this package can be
 removed. This meta package pulls in the following OpenModelica packages:
 .
 1. Package omc the OpenModelica Compiler/Interpreter (omc)
 2. Package omshell the OpenModelica Shell (OMShell)
 3. Package omshell-terminal the OpenModelica Shell-terminal (OMShell-terminal)
 4. Package omnotebook the OpenModelica Notebook (OMNotebook) with DrModelica
 5. Package omlibrary the Modelica Library version 2.2

Package: omc
Section: math
Architecture: any
Depends: sun-java6-jre | java6-runtime,
 ${shlibs:Depends},
 ${misc:Depends}
Description: The OpenModelica Project a complete Modelica environment
 The goal of the project is to create a complete Modelica modeling, compilation
 and simulation environment based on free software distributed in binary and
 source code form.
 .
 ! THIS IS NOT A OFFICIAL DEBIAN PACKAGE, USE IT WITH CARE !
 .
 This package provides the OpenModelica Compiler/Interpreter (omc).

Package: omnotebook
Section: math
Architecture: any
Depends: omc (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: The OpenModelica Project a complete Modelica environment
 The goal of the project is to create a complete Modelica modeling, compilation
 and simulation environment based on free software distributed in binary and
 source code form.
 .
 ! THIS IS NOT A OFFICIAL DEBIAN PACKAGE, USE IT WITH CARE !
 .
 This package provides the OpenModelica Notebook (OMNotebook).

Package: omshell-terminal
Section: math
Architecture: any
Depends: omc (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: The OpenModelica Project a complete Modelica environment
 The goal of the project is to create a complete Modelica modeling, compilation
 and simulation environment based on free software distributed in binary and
 source code form.
 .
 ! THIS IS NOT A OFFICIAL DEBIAN PACKAGE, USE IT WITH CARE !
 .
 This package provides the OpenModelica Shell-terminal (OMShell-terminal).

Package: omshell
Section: math
Architecture: any
Depends: omc (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: The OpenModelica Project a complete Modelica environment
 The goal of the project is to create a complete Modelica modeling, compilation
 and simulation environment based on free software distributed in binary and
 source code form.
 .
 ! THIS IS NOT A OFFICIAL DEBIAN PACKAGE, USE IT WITH CARE !
 .
 This package provides the OpenModelica Shell (OMShell).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# Some variables to install binaries under debian/tmp
DEST   = $(CURDIR)/debian/tmp
SRCD   = $(CURDIR)

# Compile omc with sendData.cpp and not with humbug.cpp
export QTHOME=/usr

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir

	# Run autoconf, because configure.in was changed
	autoconf

	# Add here commands to configure the package.
	RMLHOME=/usr CFLAGS="$(CFLAGS)" ./configure \
	--host=$(DEB_HOST_GNU_TYPE) \
	--build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr \
	--exec_prefix=\$${prefix}/lib/omc \
	--includedir=\$${exec_prefix}/include \
	--datadir=\$${exec_prefix}/share \
	--docdir=\$${prefix}/share/doc/omc \
	--with-omniORB=/usr


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) omc
	$(MAKE) mosh
	ANTLRHOME=/usr $(MAKE) qtclients
	#/usr/bin/docbook-to-man debian/omc.sgml > omc.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep 
	dh_installdirs -popenmodelica -Pdebian/tmp

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=$(DEST)

	# Remove Qt mingw libraries
	(cd $(DEST)/usr/lib/omc/lib/; \
	rm -f libQtCore-mingw.a libQtGui-mingw.a libQtNetwork-mingw.a)

	# Remove Windows and Cygwin scripts
	(cd $(DEST)/usr/lib/omc/bin/; \
	rm -f Compile.bat doPlot.Cygwin doPlot.bat CompileMSVC.bat)

	# Remove Windows Ptolemy java plot client
	(cd $(DEST)/usr/lib/omc/bin/; \
	rm -f ptplot.jar)

	# Rename Ptolemy copyright file
	(cd $(DEST)/usr/lib/omc/bin/; \
	mv ptplot\ copyright.txt ptplot-copyright.txt)

	# Debian package omshell needs it's own commands.xml
	(cd $(DEST)/usr/lib/omc/bin/; \
	cp -p commands.xml shellcmds.xml)

	dh_install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installmenu
	dh_installmime
	dh_installman
	dh_link
	dh_strip
	dh_compress -X.pdf -X.onb -X.c -X.h -X.mo -X.mos
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## openmodelica 1.5.0.svn.r5363

=== debian/changelog ===
openmodelica (1.5.0.svn.r5363-1) unstable; urgency=low

  * Updated deb install script env vars in /etc/profile.d/*.sh.
  * Changed install path (no more /usr/lib/omc).
  * The subversion was updated to give an error if OPENMODELICAHOME is not set.
 -- Martin Sjölund <martin.sjolund@liu.se>  Fri, 23 Apr 2010 09:34:00 +0200

=== debian/rules ===
--- 
+++ 
@@ -41,10 +41,6 @@
 	--host=$(DEB_HOST_GNU_TYPE) \
 	--build=$(DEB_BUILD_GNU_TYPE) \
 	--prefix=/usr \
-	--exec_prefix=\$${prefix}/lib/omc \
-	--includedir=\$${exec_prefix}/include \
-	--datadir=\$${exec_prefix}/share \
-	--docdir=\$${prefix}/share/doc/omc \
 	--with-omniORB=/usr
 
 
@@ -80,23 +76,23 @@
 	$(MAKE) install DESTDIR=$(DEST)
 
 	# Remove Qt mingw libraries
-	(cd $(DEST)/usr/lib/omc/lib/; \
+	(cd $(DEST)/usr/lib/; \
 	rm -f libQtCore-mingw.a libQtGui-mingw.a libQtNetwork-mingw.a)
 
 	# Remove Windows and Cygwin scripts
-	(cd $(DEST)/usr/lib/omc/bin/; \
+	(cd $(DEST)/usr/bin/; \
 	rm -f Compile.bat doPlot.Cygwin doPlot.bat CompileMSVC.bat)
 
 	# Remove Windows Ptolemy java plot client
-	(cd $(DEST)/usr/lib/omc/bin/; \
+	(cd $(DEST)/usr/bin/; \
 	rm -f ptplot.jar)
 
 	# Rename Ptolemy copyright file
-	(cd $(DEST)/usr/lib/omc/bin/; \
+	(cd $(DEST)/usr/bin/; \
 	mv ptplot\ copyright.txt ptplot-copyright.txt)
 
 	# Debian package omshell needs it's own commands.xml
-	(cd $(DEST)/usr/lib/omc/bin/; \
+	(cd $(DEST)/usr/bin/; \
 	cp -p commands.xml shellcmds.xml)
 
 	dh_install

## openmodelica 1.5.0.svn.r5373

=== debian/changelog ===
openmodelica (1.5.0.svn.r5373-1) unstable; urgency=low

  * Several directories moved location.
    * include to include/omc
    * lib to lib/omc
  * Several files in bin/ were move to share.
  * Added ptplot, antlr copyright text to the copyright file.
 -- Martin Sjölund <martin.sjolund@liu.se>  Fri, 23 Apr 2010 22:16:00 +0200

=== debian/control ===
--- 
+++ 
@@ -23,9 +23,9 @@
 Section: math
 Architecture: any
 Depends: omlibrary,
- omshell (= ${binary:Version}),
- omshell-terminal (= ${binary:Version}),
- omnotebook (= ${binary:Version}),
+ omshell,
+ omshell-terminal,
+ omnotebook,
  ${misc:Depends}
 Description: The OpenModelica Project a complete Modelica environment
  The goal of the project is to create a complete Modelica modeling, compilation
@@ -61,7 +61,7 @@
 Package: omnotebook
 Section: math
 Architecture: any
-Depends: omc (= ${binary:Version}),
+Depends: omc,
  ${shlibs:Depends},
  ${misc:Depends}
 Description: The OpenModelica Project a complete Modelica environment
@@ -76,7 +76,7 @@
 Package: omshell-terminal
 Section: math
 Architecture: any
-Depends: omc (= ${binary:Version}),
+Depends: omc,
  ${shlibs:Depends},
  ${misc:Depends}
 Description: The OpenModelica Project a complete Modelica environment
@@ -91,7 +91,7 @@
 Package: omshell
 Section: math
 Architecture: any
-Depends: omc (= ${binary:Version}),
+Depends: omc,
  ${shlibs:Depends},
  ${misc:Depends}
 Description: The OpenModelica Project a complete Modelica environment

=== debian/rules ===
--- 
+++ 
@@ -75,26 +75,9 @@
 	# Add here commands to install the package into debian/tmp.
 	$(MAKE) install DESTDIR=$(DEST)
 
-	# Remove Qt mingw libraries
-	(cd $(DEST)/usr/lib/; \
-	rm -f libQtCore-mingw.a libQtGui-mingw.a libQtNetwork-mingw.a)
-
-	# Remove Windows and Cygwin scripts
-	(cd $(DEST)/usr/bin/; \
-	rm -f Compile.bat doPlot.Cygwin doPlot.bat CompileMSVC.bat)
-
-	# Remove Windows Ptolemy java plot client
-	(cd $(DEST)/usr/bin/; \
-	rm -f ptplot.jar)
-
-	# Rename Ptolemy copyright file
-	(cd $(DEST)/usr/bin/; \
-	mv ptplot\ copyright.txt ptplot-copyright.txt)
-
-	# Debian package omshell needs it's own commands.xml
-	(cd $(DEST)/usr/bin/; \
-	cp -p commands.xml shellcmds.xml)
-
+	# Remove extra copyright files
+	cd $(DEST)/usr/share/doc/omc/; rm antlr_license.txt ptplot_license.txt
+	
 	dh_install
 
 # Build architecture-dependent files here.
